POST Create Customer Accounts Vehicle
Endpoint will create customer accounts vehicle
Path Parameters
- Type: stringFormat: uuidcustomer
_account _id requiredCustomer account UUID
Headers
- Type: stringX
- Request - I D requiredRequest ID
- Type: stringApplicationrequired
Application key
- Type: stringAcceptrequired
Accept header
- Type: stringA
P I -version requiredApi version
- Type: stringAuthorizationrequired
Authorization header
- enumX
- Q B - Enabled requiredHeader which if sent with value 'true' will allow usage of the query building feature in response (through the request's query params). It is mandatory for this part of the documentation.
values- true
- false
Body
application/json
- Type: stringbrand
_and _model - Type: stringcolor
- Type: stringlicense
_plate _number
Responses
- application/json
- 400
Bad Request
- 401
Unauthorized
- 403
Forbidden
- 404
Not Found
Request Example for post/customer-accounts/{customer_account_id}/vehicles
curl https://api-public-demo.menu.app/api/customer-accounts/4e42c2a6-3f23-11ed-936c-1a67b454859d/vehicles \
--request POST \
--header 'X-Request-ID: ' \
--header 'Application: ' \
--header 'Accept: appliction/json' \
--header 'API-version: 5.0.0' \
--header 'Authorization: ' \
--header 'X-QB-Enabled: true' \
--header 'Content-Type: application/json' \
--data '{
"brand_and_model": "Fiat Bravo 1.9 MJET",
"color": "Gray",
"license_plate_number": "CA102FX"
}'
{
"status": "OK",
"code": 200,
"data": [
{
"id": "7dada664-6074-4c3d-ba75-250b142b6913",
"customer_account_id": "69f8ad44-3f23-11ed-936c-1a67b454859d",
"brand_and_model": "Fiat bravo",
"color": "Gray",
"license_plate_number": "CA102FX"
}
]
}